Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.util.packed
Class PackedInts.FormatAndBits

    java.lang.Object
      org.apache.lucene.util.packed.PackedInts.FormatAndBits

Enclosing class:
  PackedInts

    public static class PackedInts.FormatAndBits

extends Object

Simple class that holds a format and a number of bits per value.

Field Summary
`int` | `bitsPerValue`
`PackedInts.Format` | `format`

Constructor Summary
`PackedInts.FormatAndBits(PackedInts.Format format, int bitsPerValue)`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### format

    public final PackedInts.Format format

### bitsPerValue

    public final int bitsPerValue

Constructor Detail

### PackedInts.FormatAndBits

    public PackedInts.FormatAndBits(PackedInts.Format format,
                                    int bitsPerValue)

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.